## cvs-buildpackage 5.23

=== Makefile ===
############################ -*- Mode: Makefile -*- ###########################
## Makefile<cvs-buildpackage> --- 
## Author           : Manoj Srivastava ( srivasta@glaurung.green-gryphon.com ) 
## Created On       : Tue Nov 18 23:49:49 2003
## Created On Node  : glaurung.green-gryphon.com
## Last Modified By : Manoj Srivastava
## Last Modified On : Wed Nov 19 00:03:24 2003
## Last Machine Used: glaurung.green-gryphon.com
## Update Count     : 6
## Status           : Unknown, Use with caution!
## HISTORY          : 
## Description      : 
## 
###############################################################################
prefix =
package= cvs-buildpackage

CONFLOC:=/etc/cvsdeb.conf
DOCDIR = $(prefix)/usr/share/doc/$(package)
MANDIR = $(prefix)/usr/share/man
MAN1DIR= $(MANDIR)/man1
MAN5DIR= $(MANDIR)/man5
ETCDIR = $(prefix)/etc
BINDIR = $(prefix)/usr/bin/

# install commands
install_file= install    -p    -o root -g root -m 644
install_program= install -p    -o root -g root -m 755
make_directory= install  -p -d -o root -g root -m 755

all build: check

check:
	bash -n cvs-buildpackage
	bash -n cvs-inject
	bash -n cvs-upgrade

install:
	$(make_directory)  $(DOCDIR)
	$(install_file)    debian/changelog    $(DOCDIR)/changelog
	$(install_file)    README              $(DOCDIR)/README
	$(install_file)    HOWTO               $(DOCDIR)/HOWTO
	$(install_file)    get-orig.sh         $(DOCDIR)/get-orig.sh
	$(install_file)    cvs-pkginit         $(DOCDIR)/cvs-pkginit
	pod2man            cvs-pkginit >       $(DOCDIR)/cvs-pkginit.1
	$(install_file)    cvs-co-upgrade.1    $(DOCDIR)/cvs-co-upgrade.1
	$(install_file)    cvs-co-upgrade      $(DOCDIR)/cvs-co-upgrade
	$(install_file)    cvsdeb.conf.5       $(MAN5DIR)
	gzip -9fq                              $(MAN5DIR)/cvsdeb.conf.5
	$(install_file)    cvs-buildpackage.1  $(MAN1DIR)
	gzip -9fq                              $(MAN1DIR)/cvs-buildpackage.1
	$(install_file)    cvs-inject.1        $(MAN1DIR)
	gzip -9fq                              $(MAN1DIR)/cvs-inject.1
	$(install_file)    cvs-upgrade.1       $(MAN1DIR)
	gzip -9fq                              $(MAN1DIR)/cvs-upgrade.1
	-gzip -9fqr                            $(DOCDIR)
	$(install_file)    debian/copyright    $(DOCDIR)/copyright
	$(install_file)    cvsdeb.conf         $(ETCDIR)/cvsdeb.conf
	$(install_program) cvs-buildpackage    $(BINDIR)
	$(install_program) cvs-inject          $(BINDIR)
	$(install_program) cvs-upgrade         $(BINDIR)

=== debian/changelog ===
cvs-buildpackage (5.23) unstable; urgency=low

  * QA upload.
  * Fixed parallel builds, thanks to Daniel Schepler. (Closes: #445818)
  * Upgraded standards version to 3.8.0.

 -- Jelmer Vernooij <jelmer@samba.org>  Mon, 29 Sep 2008 01:13:28 +0200

=== debian/control ===
Source: cvs-buildpackage
Priority: optional
Section: devel
Maintainer: Debian QA Group <packages@qa.debian.org>
Standards-Version: 3.8.0

Package: cvs-buildpackage
Priority: optional
Section: devel
Description: A set of Debian package scripts for CVS source trees.
 This package provides the capability to inject or import Debian
 source packages into a CVS repository, build a Debian package from
 the CVS repository, and helps in integrating upstream changes into
 the repository. 
 .
 The import or inject process takes a dsc (Debian source control)
 file, and imports it into CVS. The module path can maintains
 distribution and section information; for example, one may inject
 hemm/hemm/devel/make into the repository.
 .
 The build process works analogously to dpkg-buildpackage, and can be
 used from within the checked out source tree, or with additional
 information, can be used from anywhere. In the latter case, you can
 build any previous version of the package, as long as the
 corresponding orig.tar.gz file is still around. The build script
 checks out the relevant version from the CVS repository, and runs
 dpkg-buildpackage to create the Debian package.
 .
 Combined, these utilities provide an infrastructure to facilitate the
 use of CVS by Debian maintainers. This allows one to keep separate
 CVS branches of a package for stable, unstable, and possibly
 experimental distributions, along with the other benefits of a
 version control system.
 .
 This can be used to generate a unified CVS source tree, for example.
Depends: dpkg-dev (>= 1.4.0.9), cvs
Architecture: all

=== debian/rules ===
#! /usr/bin/make -f
############################ -*- Mode: Makefile; coding: utf-8 -*- ###########################
## rules --- 
## Author           : Manoj Srivastava ( srivasta@glaurung.green-gryphon.com ) 
## Created On       : Fri Nov 14 12:33:34 2003
## Created On Node  : glaurung.green-gryphon.com
## Last Modified By : Manoj Srivastava
## Last Modified On : Tue Nov 18 17:46:22 2003
## Last Machine Used: glaurung.green-gryphon.com
## Update Count     : 70
## Status           : Unknown, Use with caution!
## HISTORY          : 
## Description      : 
## 
## arch-tag: 9a5063f4-1e20-4fff-b22a-de94c1e3d954
## 
## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 2 of the License, or
## (at your option) any later version.
##
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
##
###############################################################################

# Include dpkg-architecture generated variables
include debian/common/archvars.mk

# Set variables with information extracted from control and changelog files
include debian/common/pkgvars.mk

# variables useful for perl packages
include debian/common/perlvars.mk

# Install commands
include debian/common/install_cmds.mk

include debian/local-vars.mk

include debian/common/copt.mk

include debian/common/automake.mk



all:
	@echo nothing to be done

include debian/common/targets.mk

include debian/local.mk

.NOTPARALLEL:

#Local variables:
#mode: makefile
#End:

## cvs-buildpackage 5.25

=== debian/changelog ===
cvs-buildpackage (5.25) unstable; urgency=medium

  * QA upload.
  * debian/local.mk: Fix mtimes before "dpkg --build".

 -- Santiago Vila <sanvila@debian.org>  Mon, 31 Aug 2015 12:15:20 +0200

cvs-buildpackage (5.24) unstable; urgency=medium

  * QA upload.
  [ Chris Lamb ]
  * debian/local.mk: Pass GZIP=-9n to make install invocation.
    Closes: #777301.

 -- Santiago Vila <sanvila@debian.org>  Thu, 27 Aug 2015 18:40:24 +0200

## cvs-buildpackage 5.26

=== debian/changelog ===
cvs-buildpackage (5.26) unstable; urgency=low

  * QA upload.
  * Switch to dh-style build.
  * Use source format 3.0 (native).
  * Convert copyright to DEP5.
  * Fix Makefile to create directories and suppress gzip timestamps.
  * Update Standards-Version to 3.9.6.
  * Drop version constriction of dpkg-dev dependency.

 -- Reiner Herrmann <reiner@reiner-h.de>  Sun, 10 Jan 2016 18:00:26 +0100

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,13 @@
 Priority: optional
 Section: devel
 Maintainer: Debian QA Group <packages@qa.debian.org>
-Standards-Version: 3.8.0
+Build-Depends: debhelper (>= 9)
+Standards-Version: 3.9.6
 
 Package: cvs-buildpackage
-Priority: optional
-Section: devel
-Description: A set of Debian package scripts for CVS source trees.
+Architecture: all
+Depends: ${misc:Depends}, dpkg-dev, cvs
+Description: set of Debian package scripts for CVS source trees
  This package provides the capability to inject or import Debian
  source packages into a CVS repository, build a Debian package from
  the CVS repository, and helps in integrating upstream changes into
@@ -33,5 +34,3 @@
  version control system.
  .
  This can be used to generate a unified CVS source tree, for example.
-Depends: dpkg-dev (>= 1.4.0.9), cvs
-Architecture: all

## cvs-buildpackage 5.26+nmu1

=== Makefile ===
--- 
+++ 
@@ -37,6 +37,10 @@
 
 install:
 	$(make_directory)  $(DOCDIR)
+	$(make_directory)  $(ETCDIR)
+	$(make_directory)  $(BINDIR)
+	$(make_directory)  $(MAN1DIR)
+	$(make_directory)  $(MAN5DIR)
 	$(install_file)    debian/changelog    $(DOCDIR)/changelog
 	$(install_file)    README              $(DOCDIR)/README
 	$(install_file)    HOWTO               $(DOCDIR)/HOWTO
@@ -46,14 +50,14 @@
 	$(install_file)    cvs-co-upgrade.1    $(DOCDIR)/cvs-co-upgrade.1
 	$(install_file)    cvs-co-upgrade      $(DOCDIR)/cvs-co-upgrade
 	$(install_file)    cvsdeb.conf.5       $(MAN5DIR)
-	gzip -9fq                              $(MAN5DIR)/cvsdeb.conf.5
+	gzip -9nfq                             $(MAN5DIR)/cvsdeb.conf.5
 	$(install_file)    cvs-buildpackage.1  $(MAN1DIR)
-	gzip -9fq                              $(MAN1DIR)/cvs-buildpackage.1
+	gzip -9nfq                             $(MAN1DIR)/cvs-buildpackage.1
 	$(install_file)    cvs-inject.1        $(MAN1DIR)
-	gzip -9fq                              $(MAN1DIR)/cvs-inject.1
+	gzip -9nfq                             $(MAN1DIR)/cvs-inject.1
 	$(install_file)    cvs-upgrade.1       $(MAN1DIR)
-	gzip -9fq                              $(MAN1DIR)/cvs-upgrade.1
-	-gzip -9fqr                            $(DOCDIR)
+	gzip -9nfq                             $(MAN1DIR)/cvs-upgrade.1
+	-gzip -9nfqr                           $(DOCDIR)
 	$(install_file)    debian/copyright    $(DOCDIR)/copyright
 	$(install_file)    cvsdeb.conf         $(ETCDIR)/cvsdeb.conf
 	$(install_program) cvs-buildpackage    $(BINDIR)

=== debian/changelog ===
cvs-buildpackage (5.26+nmu1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Fri, 20 May 2022 19:37:21 +0200

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_install:
	dh_auto_install -- prefix=debian/cvs-buildpackage

## cvs-buildpackage 5.27

=== debian/changelog ===
cvs-buildpackage (5.27) unstable; urgency=medium

  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 11:08:43 +0800
